define([
    'jquery'
], function($) {
    'use strict';

    return function (validator) {
        var ruleInfo = {
            'name': 'validate-zip-uk',
            'callback': function (value) {
                let stringWithoutSpaces = value.trim().split(' ').join('');
                return !(stringWithoutSpaces.length < 5);
            },
            'message': $.mage.__('Please enter at least 5 digits.')
        };

        validator.addRule(
            ruleInfo.name,
            ruleInfo.callback,
            ruleInfo.message
        );

        $.validator.addMethod(
            ruleInfo.name,
            ruleInfo.callback,
            ruleInfo.message
        )

        return validator;
    }
});
